import{S as Cc,i as zc,s as Pc,e as a,k as h,w,t as p,M as Ac,c as i,d as t,m as g,a as l,x as b,h as m,b as q,G as e,g as k,y as T,q as O,o as M,B as y,v as Nc,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as Ee}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as me}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as C}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ic(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Dc(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function Lc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Xc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Uc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),c=a("code"),u=p("pooler_output"),f=p(" as output):"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example of custom tasks(e.g. a sentence transformers taking "),c=i($,"CODE",{});var j=l(c);u=m(j,"pooler_output"),j.forEach(t),f=m($," as output):"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Qc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p("(only if the task is supported):"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,"(only if the task is supported):"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Vc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Wc(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function Hc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Bc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Gc(E){let s,_,c,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of image classification:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of image classification:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function Jc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Yc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Kc(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=p("Example of question answering:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of question answering:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function Zc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function eu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function tu(E){let s,_,c,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of semantic segmentation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of semantic segmentation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function ou(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function nu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function su(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function ru(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function au(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function iu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=p("Example of single-label classification:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of single-label classification:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function lu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function pu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=p("Example using zero-shot-classification "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using zero-shot-classification "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function mu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function du(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function cu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function uu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function hu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=p("Example of token classification:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of token classification:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function gu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function fu(E){let s,_,c,u,f,n,r,x,d,$,j,Je,un,Wt,da,hn,ca,fr,F,Ht,ua,gn,ha,ga,Bt,fa,fn,_a,$a,va,_n,ka,xa,Gt,de,wa,$n,ba,Ta,vn,Oa,Ma,kn,ya,qa,Ea,ce,ja,xn,Ra,Fa,wn,Sa,Ca,bn,za,Pa,Aa,Tn,Na,Ia,ee,Jt,Da,On,La,Xa,Ua,Yt,Qa,Kt,Va,Wa,Ha,te,Ba,Mn,Ga,Ja,yn,Ya,Ka,qn,Za,ei,En,ti,oi,ni,Zt,si,jn,ri,ai,ii,Rn,li,pi,Ye,eo,mi,Fn,di,ci,Ke,to,ui,oo,hi,Sn,gi,fi,_i,Ze,no,$i,Cn,vi,_r,je,et,zn,so,ki,Pn,xi,$r,ue,ro,wi,An,bi,Ti,V,ao,Oi,Re,Mi,Nn,yi,qi,In,Ei,ji,Ri,tt,Fi,ot,Si,nt,vr,Fe,st,Dn,io,Ci,Ln,zi,kr,U,lo,Pi,Xn,Ai,Ni,po,Ii,Un,Di,Li,Xi,Qn,Ui,Qi,W,mo,Vi,Se,Wi,Vn,Hi,Bi,Wn,Gi,Ji,Yi,rt,Ki,at,Zi,it,xr,Ce,lt,Hn,co,el,Bn,tl,wr,A,uo,ol,Gn,nl,sl,ho,rl,Jn,al,il,ll,Yn,pl,ml,H,go,dl,ze,cl,Kn,ul,hl,Zn,gl,fl,_l,pt,$l,mt,vl,dt,kl,ct,fo,xl,es,wl,br,Pe,ut,ts,_o,bl,os,Tl,Tr,N,$o,Ol,ns,Ml,yl,vo,ql,ss,El,jl,Rl,rs,Fl,Sl,B,ko,Cl,Ae,zl,as,Pl,Al,is,Nl,Il,Dl,ht,Ll,gt,Xl,ft,Ul,_t,xo,Ql,ls,Vl,Or,Ne,$t,ps,wo,Wl,ms,Hl,Mr,I,bo,Bl,ds,Gl,Jl,To,Yl,cs,Kl,Zl,ep,us,tp,op,G,Oo,np,Ie,sp,hs,rp,ap,gs,ip,lp,pp,vt,mp,kt,dp,xt,cp,wt,Mo,up,fs,hp,yr,De,bt,_s,yo,gp,$s,fp,qr,Q,qo,_p,vs,$p,vp,Eo,kp,ks,xp,wp,bp,xs,Tp,Op,J,jo,Mp,Le,yp,ws,qp,Ep,bs,jp,Rp,Fp,Tt,Sp,Ot,Cp,Mt,Er,Xe,yt,Ts,Ro,zp,Os,Pp,jr,he,Fo,Ap,Ms,Np,Ip,Y,So,Dp,Ue,Lp,ys,Xp,Up,qs,Qp,Vp,Wp,qt,Hp,Et,Bp,jt,Rr,Qe,Rt,Es,Co,Gp,js,Jp,Fr,D,zo,Yp,Rs,Kp,Zp,Po,em,Fs,tm,om,nm,Ss,sm,rm,X,Ao,am,Ve,im,Cs,lm,pm,zs,mm,dm,cm,Ft,um,St,hm,Ct,gm,zt,fm,Pt,No,_m,Ps,$m,Sr,We,At,As,Io,vm,Ns,km,Cr,ge,Do,xm,Is,wm,bm,K,Lo,Tm,He,Om,Ds,Mm,ym,Ls,qm,Em,jm,Nt,Rm,It,Fm,Dt,zr,Be,Lt,Xs,Xo,Sm,Us,Cm,Pr,L,Uo,zm,Qs,Pm,Am,Qo,Nm,Vs,Im,Dm,Lm,Ws,Xm,Um,Z,Vo,Qm,Ge,Vm,Hs,Wm,Hm,Bs,Bm,Gm,Jm,Xt,Ym,Ut,Km,Qt,Zm,Vt,Wo,ed,Gs,td,Ar;return n=new me({}),Wt=new me({}),Ht=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L125"}}),eo=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L520",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),to=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L258"}}),no=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L232",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),so=new me({}),ro=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L729"}}),ao=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L737"}}),tt=new Ee({props:{$$slots:{default:[Ic]},$$scope:{ctx:E}}}),ot=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Dc]},$$scope:{ctx:E}}}),nt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Lc]},$$scope:{ctx:E}}}),io=new me({}),lo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1724"}}),mo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1736"}}),rt=new Ee({props:{$$slots:{default:[Xc]},$$scope:{ctx:E}}}),at=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Uc]},$$scope:{ctx:E}}}),it=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Qc]},$$scope:{ctx:E}}}),co=new me({}),uo=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L608"}}),go=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L691"}}),pt=new Ee({props:{$$slots:{default:[Vc]},$$scope:{ctx:E}}}),mt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Wc]},$$scope:{ctx:E}}}),dt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Hc]},$$scope:{ctx:E}}}),fo=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L620"}}),_o=new me({}),$o=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1482"}}),ko=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1536"}}),ht=new Ee({props:{$$slots:{default:[Bc]},$$scope:{ctx:E}}}),gt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Gc]},$$scope:{ctx:E}}}),ft=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Jc]},$$scope:{ctx:E}}}),xo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1494"}}),wo=new me({}),bo=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L779"}}),Oo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L870"}}),vt=new Ee({props:{$$slots:{default:[Yc]},$$scope:{ctx:E}}}),kt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[Kc]},$$scope:{ctx:E}}}),xt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[Zc]},$$scope:{ctx:E}}}),Mo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L791"}}),yo=new me({}),qo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1618"}}),jo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1632"}}),Tt=new Ee({props:{$$slots:{default:[eu]},$$scope:{ctx:E}}}),Ot=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[tu]},$$scope:{ctx:E}}}),Mt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[ou]},$$scope:{ctx:E}}}),Ro=new me({}),Fo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1182"}}),So=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1205"}}),qt=new Ee({props:{$$slots:{default:[nu]},$$scope:{ctx:E}}}),Et=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[su]},$$scope:{ctx:E}}}),jt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[ru]},$$scope:{ctx:E}}}),Co=new me({}),zo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L978"}}),Ao=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1060"}}),Ft=new Ee({props:{$$slots:{default:[au]},$$scope:{ctx:E}}}),St=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[iu]},$$scope:{ctx:E}}}),Ct=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[lu]},$$scope:{ctx:E}}}),zt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[pu]},$$scope:{ctx:E}}}),No=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L991"}}),Io=new me({}),Do=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1290"}}),Lo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1323"}}),Nt=new Ee({props:{$$slots:{default:[mu]},$$scope:{ctx:E}}}),It=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[du]},$$scope:{ctx:E}}}),Dt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[cu]},$$scope:{ctx:E}}}),Xo=new me({}),Uo=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1148"}}),Vo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1230"}}),Xt=new Ee({props:{$$slots:{default:[uu]},$$scope:{ctx:E}}}),Ut=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[hu]},$$scope:{ctx:E}}}),Qt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[gu]},$$scope:{ctx:E}}}),Wo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1160"}}),{c(){s=a("meta"),_=h(),c=a("h1"),u=a("a"),f=a("span"),w(n.$$.fragment),r=h(),x=a("span"),d=p("Models"),$=h(),j=a("h2"),Je=a("a"),un=a("span"),w(Wt.$$.fragment),da=h(),hn=a("span"),ca=p("ORTModel"),fr=h(),F=a("div"),w(Ht.$$.fragment),ua=h(),gn=a("p"),ha=p("Base class for implementing models using ONNX Runtime."),ga=h(),Bt=a("p"),fa=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),fn=a("code"),_a=p("optimum.exporters.onnx"),$a=p(" toolchain."),va=h(),_n=a("p"),ka=p("Class attributes:"),xa=h(),Gt=a("ul"),de=a("li"),wa=p("model_type ("),$n=a("code"),ba=p("str"),Ta=p(", "),vn=a("em"),Oa=p("optional"),Ma=p(", defaults to "),kn=a("code"),ya=p('"onnx_model"'),qa=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Ea=h(),ce=a("li"),ja=p("auto_model_class ("),xn=a("code"),Ra=p("Type"),Fa=p(", "),wn=a("em"),Sa=p("optional"),Ca=p(", defaults to "),bn=a("code"),za=p("AutoModel"),Pa=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),Aa=h(),Tn=a("p"),Na=p("Common attributes:"),Ia=h(),ee=a("ul"),Jt=a("li"),Da=p("model ("),On=a("code"),La=p("ort.InferenceSession"),Xa=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Ua=h(),Yt=a("li"),Qa=p("config ("),Kt=a("a"),Va=p("PretrainedConfig"),Wa=p(" \u2014 The configuration of the model."),Ha=h(),te=a("li"),Ba=p("use_io_binding ("),Mn=a("code"),Ga=p("bool"),Ja=p(", "),yn=a("em"),Ya=p("optional"),Ka=p(", defaults to "),qn=a("code"),Za=p("True"),ei=p(") \u2014 Whether to use I/O bindings with "),En=a("strong"),ti=p(`ONNX Runtime
with the CUDAExecutionProvider`),oi=p(", this can significantly speedup inference depending on the task."),ni=h(),Zt=a("li"),si=p("model_save_dir ("),jn=a("code"),ri=p("Path"),ai=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),ii=h(),Rn=a("li"),li=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),pi=h(),Ye=a("div"),w(eo.$$.fragment),mi=h(),Fn=a("p"),di=p("Instantiate a pretrained model from a pre-trained model configuration."),ci=h(),Ke=a("div"),w(to.$$.fragment),ui=h(),oo=a("p"),hi=p("Loads an ONNX Inference session with a given provider. Default provider is "),Sn=a("code"),gi=p("CPUExecutionProvider"),fi=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),_i=h(),Ze=a("div"),w(no.$$.fragment),$i=h(),Cn=a("p"),vi=p("Changes the ONNX Runtime provider according to the device."),_r=h(),je=a("h2"),et=a("a"),zn=a("span"),w(so.$$.fragment),ki=h(),Pn=a("span"),xi=p("ORTModelForCausalLM"),$r=h(),ue=a("div"),w(ro.$$.fragment),wi=h(),An=a("p"),bi=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),Ti=h(),V=a("div"),w(ao.$$.fragment),Oi=h(),Re=a("p"),Mi=p("The "),Nn=a("code"),yi=p("ORTModelForCausalLM"),qi=p(" forward method, overrides the "),In=a("code"),Ei=p("__call__"),ji=p(" special method."),Ri=h(),w(tt.$$.fragment),Fi=h(),w(ot.$$.fragment),Si=h(),w(nt.$$.fragment),vr=h(),Fe=a("h2"),st=a("a"),Dn=a("span"),w(io.$$.fragment),Ci=h(),Ln=a("span"),zi=p("ORTModelForCustomTasks"),kr=h(),U=a("div"),w(lo.$$.fragment),Pi=h(),Xn=a("p"),Ai=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Ni=h(),po=a("p"),Ii=p("This model inherits from [~"),Un=a("code"),Di=p("onnxruntime.modeling_ort.ORTModel"),Li=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xi=h(),Qn=a("p"),Ui=p("Model for any custom tasks if the ONNX model is stored in a single file."),Qi=h(),W=a("div"),w(mo.$$.fragment),Vi=h(),Se=a("p"),Wi=p("The "),Vn=a("code"),Hi=p("ORTModelForCustomTasks"),Bi=p(" forward method, overrides the "),Wn=a("code"),Gi=p("__call__"),Ji=p(" special method."),Yi=h(),w(rt.$$.fragment),Ki=h(),w(at.$$.fragment),Zi=h(),w(it.$$.fragment),xr=h(),Ce=a("h2"),lt=a("a"),Hn=a("span"),w(co.$$.fragment),el=h(),Bn=a("span"),tl=p("ORTModelForFeatureExtraction"),wr=h(),A=a("div"),w(uo.$$.fragment),ol=h(),Gn=a("p"),nl=p("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),sl=h(),ho=a("p"),rl=p("This model inherits from [~"),Jn=a("code"),al=p("onnxruntime.modeling_ort.ORTModel"),il=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ll=h(),Yn=a("p"),pl=p("Feature Extraction model for ONNX."),ml=h(),H=a("div"),w(go.$$.fragment),dl=h(),ze=a("p"),cl=p("The "),Kn=a("code"),ul=p("ORTModelForFeatureExtraction"),hl=p(" forward method, overrides the "),Zn=a("code"),gl=p("__call__"),fl=p(" special method."),_l=h(),w(pt.$$.fragment),$l=h(),w(mt.$$.fragment),vl=h(),w(dt.$$.fragment),kl=h(),ct=a("div"),w(fo.$$.fragment),xl=h(),es=a("p"),wl=p("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),br=h(),Pe=a("h2"),ut=a("a"),ts=a("span"),w(_o.$$.fragment),bl=h(),os=a("span"),Tl=p("ORTModelForImageClassification"),Tr=h(),N=a("div"),w($o.$$.fragment),Ol=h(),ns=a("p"),Ml=p("Onnx Model for image-classification tasks."),yl=h(),vo=a("p"),ql=p("This model inherits from [~"),ss=a("code"),El=p("onnxruntime.modeling_ort.ORTModel"),jl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rl=h(),rs=a("p"),Fl=p("Image Classification model for ONNX."),Sl=h(),B=a("div"),w(ko.$$.fragment),Cl=h(),Ae=a("p"),zl=p("The "),as=a("code"),Pl=p("ORTModelForImageClassification"),Al=p(" forward method, overrides the "),is=a("code"),Nl=p("__call__"),Il=p(" special method."),Dl=h(),w(ht.$$.fragment),Ll=h(),w(gt.$$.fragment),Xl=h(),w(ft.$$.fragment),Ul=h(),_t=a("div"),w(xo.$$.fragment),Ql=h(),ls=a("p"),Vl=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Or=h(),Ne=a("h2"),$t=a("a"),ps=a("span"),w(wo.$$.fragment),Wl=h(),ms=a("span"),Hl=p("ORTModelForQuestionAnswering"),Mr=h(),I=a("div"),w(bo.$$.fragment),Bl=h(),ds=a("p"),Gl=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Jl=h(),To=a("p"),Yl=p("This model inherits from [~"),cs=a("code"),Kl=p("onnxruntime.modeling_ort.ORTModel"),Zl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ep=h(),us=a("p"),tp=p("Question Answering model for ONNX."),op=h(),G=a("div"),w(Oo.$$.fragment),np=h(),Ie=a("p"),sp=p("The "),hs=a("code"),rp=p("ORTModelForQuestionAnswering"),ap=p(" forward method, overrides the "),gs=a("code"),ip=p("__call__"),lp=p(" special method."),pp=h(),w(vt.$$.fragment),mp=h(),w(kt.$$.fragment),dp=h(),w(xt.$$.fragment),cp=h(),wt=a("div"),w(Mo.$$.fragment),up=h(),fs=a("p"),hp=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),yr=h(),De=a("h2"),bt=a("a"),_s=a("span"),w(yo.$$.fragment),gp=h(),$s=a("span"),fp=p("ORTModelForSemanticSegmentation"),qr=h(),Q=a("div"),w(qo.$$.fragment),_p=h(),vs=a("p"),$p=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),vp=h(),Eo=a("p"),kp=p("This model inherits from [~"),ks=a("code"),xp=p("onnxruntime.modeling_ort.ORTModel"),wp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),bp=h(),xs=a("p"),Tp=p("Semantic Segmentation model for ONNX."),Op=h(),J=a("div"),w(jo.$$.fragment),Mp=h(),Le=a("p"),yp=p("The "),ws=a("code"),qp=p("ORTModelForSemanticSegmentation"),Ep=p(" forward method, overrides the "),bs=a("code"),jp=p("__call__"),Rp=p(" special method."),Fp=h(),w(Tt.$$.fragment),Sp=h(),w(Ot.$$.fragment),Cp=h(),w(Mt.$$.fragment),Er=h(),Xe=a("h2"),yt=a("a"),Ts=a("span"),w(Ro.$$.fragment),zp=h(),Os=a("span"),Pp=p("ORTModelForSeq2SeqLM"),jr=h(),he=a("div"),w(Fo.$$.fragment),Ap=h(),Ms=a("p"),Np=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Ip=h(),Y=a("div"),w(So.$$.fragment),Dp=h(),Ue=a("p"),Lp=p("The "),ys=a("code"),Xp=p("ORTModelForSeq2SeqLM"),Up=p(" forward method, overrides the "),qs=a("code"),Qp=p("__call__"),Vp=p(" special method."),Wp=h(),w(qt.$$.fragment),Hp=h(),w(Et.$$.fragment),Bp=h(),w(jt.$$.fragment),Rr=h(),Qe=a("h2"),Rt=a("a"),Es=a("span"),w(Co.$$.fragment),Gp=h(),js=a("span"),Jp=p("ORTModelForSequenceClassification"),Fr=h(),D=a("div"),w(zo.$$.fragment),Yp=h(),Rs=a("p"),Kp=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Zp=h(),Po=a("p"),em=p("This model inherits from [~"),Fs=a("code"),tm=p("onnxruntime.modeling_ort.ORTModel"),om=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),nm=h(),Ss=a("p"),sm=p("Sequence Classification model for ONNX."),rm=h(),X=a("div"),w(Ao.$$.fragment),am=h(),Ve=a("p"),im=p("The "),Cs=a("code"),lm=p("ORTModelForSequenceClassification"),pm=p(" forward method, overrides the "),zs=a("code"),mm=p("__call__"),dm=p(" special method."),cm=h(),w(Ft.$$.fragment),um=h(),w(St.$$.fragment),hm=h(),w(Ct.$$.fragment),gm=h(),w(zt.$$.fragment),fm=h(),Pt=a("div"),w(No.$$.fragment),_m=h(),Ps=a("p"),$m=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Sr=h(),We=a("h2"),At=a("a"),As=a("span"),w(Io.$$.fragment),vm=h(),Ns=a("span"),km=p("ORTModelForSpeechSeq2Seq"),Cr=h(),ge=a("div"),w(Do.$$.fragment),xm=h(),Is=a("p"),wm=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),bm=h(),K=a("div"),w(Lo.$$.fragment),Tm=h(),He=a("p"),Om=p("The "),Ds=a("code"),Mm=p("ORTModelForSpeechSeq2Seq"),ym=p(" forward method, overrides the "),Ls=a("code"),qm=p("__call__"),Em=p(" special method."),jm=h(),w(Nt.$$.fragment),Rm=h(),w(It.$$.fragment),Fm=h(),w(Dt.$$.fragment),zr=h(),Be=a("h2"),Lt=a("a"),Xs=a("span"),w(Xo.$$.fragment),Sm=h(),Us=a("span"),Cm=p("ORTModelForTokenClassification"),Pr=h(),L=a("div"),w(Uo.$$.fragment),zm=h(),Qs=a("p"),Pm=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Am=h(),Qo=a("p"),Nm=p("This model inherits from [~"),Vs=a("code"),Im=p("onnxruntime.modeling_ort.ORTModel"),Dm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Lm=h(),Ws=a("p"),Xm=p("Token Classification model for ONNX."),Um=h(),Z=a("div"),w(Vo.$$.fragment),Qm=h(),Ge=a("p"),Vm=p("The "),Hs=a("code"),Wm=p("ORTModelForTokenClassification"),Hm=p(" forward method, overrides the "),Bs=a("code"),Bm=p("__call__"),Gm=p(" special method."),Jm=h(),w(Xt.$$.fragment),Ym=h(),w(Ut.$$.fragment),Km=h(),w(Qt.$$.fragment),Zm=h(),Vt=a("div"),w(Wo.$$.fragment),ed=h(),Gs=a("p"),td=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const v=Ac('[data-svelte="svelte-1phssyn"]',document.head);s=i(v,"META",{name:!0,content:!0}),v.forEach(t),_=g(o),c=i(o,"H1",{class:!0});var Ho=l(c);u=i(Ho,"A",{id:!0,class:!0,href:!0});var Js=l(u);f=i(Js,"SPAN",{});var Ys=l(f);b(n.$$.fragment,Ys),Ys.forEach(t),Js.forEach(t),r=g(Ho),x=i(Ho,"SPAN",{});var Ks=l(x);d=m(Ks,"Models"),Ks.forEach(t),Ho.forEach(t),$=g(o),j=i(o,"H2",{class:!0});var Bo=l(j);Je=i(Bo,"A",{id:!0,class:!0,href:!0});var Zs=l(Je);un=i(Zs,"SPAN",{});var er=l(un);b(Wt.$$.fragment,er),er.forEach(t),Zs.forEach(t),da=g(Bo),hn=i(Bo,"SPAN",{});var tr=l(hn);ca=m(tr,"ORTModel"),tr.forEach(t),Bo.forEach(t),fr=g(o),F=i(o,"DIV",{class:!0});var S=l(F);b(Ht.$$.fragment,S),ua=g(S),gn=i(S,"P",{});var or=l(gn);ha=m(or,"Base class for implementing models using ONNX Runtime."),or.forEach(t),ga=g(S),Bt=i(S,"P",{});var Go=l(Bt);fa=m(Go,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),fn=i(Go,"CODE",{});var nr=l(fn);_a=m(nr,"optimum.exporters.onnx"),nr.forEach(t),$a=m(Go," toolchain."),Go.forEach(t),va=g(S),_n=i(S,"P",{});var sr=l(_n);ka=m(sr,"Class attributes:"),sr.forEach(t),xa=g(S),Gt=i(S,"UL",{});var Jo=l(Gt);de=i(Jo,"LI",{});var fe=l(de);wa=m(fe,"model_type ("),$n=i(fe,"CODE",{});var rr=l($n);ba=m(rr,"str"),rr.forEach(t),Ta=m(fe,", "),vn=i(fe,"EM",{});var ar=l(vn);Oa=m(ar,"optional"),ar.forEach(t),Ma=m(fe,", defaults to "),kn=i(fe,"CODE",{});var ir=l(kn);ya=m(ir,'"onnx_model"'),ir.forEach(t),qa=m(fe,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),fe.forEach(t),Ea=g(Jo),ce=i(Jo,"LI",{});var _e=l(ce);ja=m(_e,"auto_model_class ("),xn=i(_e,"CODE",{});var lr=l(xn);Ra=m(lr,"Type"),lr.forEach(t),Fa=m(_e,", "),wn=i(_e,"EM",{});var pr=l(wn);Sa=m(pr,"optional"),pr.forEach(t),Ca=m(_e,", defaults to "),bn=i(_e,"CODE",{});var mr=l(bn);za=m(mr,"AutoModel"),mr.forEach(t),Pa=m(_e,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),_e.forEach(t),Jo.forEach(t),Aa=g(S),Tn=i(S,"P",{});var dr=l(Tn);Na=m(dr,"Common attributes:"),dr.forEach(t),Ia=g(S),ee=i(S,"UL",{});var oe=l(ee);Jt=i(oe,"LI",{});var Yo=l(Jt);Da=m(Yo,"model ("),On=i(Yo,"CODE",{});var cr=l(On);La=m(cr,"ort.InferenceSession"),cr.forEach(t),Xa=m(Yo,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Yo.forEach(t),Ua=g(oe),Yt=i(oe,"LI",{});var Ko=l(Yt);Qa=m(Ko,"config ("),Kt=i(Ko,"A",{href:!0,rel:!0});var ur=l(Kt);Va=m(ur,"PretrainedConfig"),ur.forEach(t),Wa=m(Ko," \u2014 The configuration of the model."),Ko.forEach(t),Ha=g(oe),te=i(oe,"LI",{});var ne=l(te);Ba=m(ne,"use_io_binding ("),Mn=i(ne,"CODE",{});var hr=l(Mn);Ga=m(hr,"bool"),hr.forEach(t),Ja=m(ne,", "),yn=i(ne,"EM",{});var gr=l(yn);Ya=m(gr,"optional"),gr.forEach(t),Ka=m(ne,", defaults to "),qn=i(ne,"CODE",{});var od=l(qn);Za=m(od,"True"),od.forEach(t),ei=m(ne,") \u2014 Whether to use I/O bindings with "),En=i(ne,"STRONG",{});var nd=l(En);ti=m(nd,`ONNX Runtime
with the CUDAExecutionProvider`),nd.forEach(t),oi=m(ne,", this can significantly speedup inference depending on the task."),ne.forEach(t),ni=g(oe),Zt=i(oe,"LI",{});var Nr=l(Zt);si=m(Nr,"model_save_dir ("),jn=i(Nr,"CODE",{});var sd=l(jn);ri=m(sd,"Path"),sd.forEach(t),ai=m(Nr,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Nr.forEach(t),ii=g(oe),Rn=i(oe,"LI",{});var rd=l(Rn);li=m(rd,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),rd.forEach(t),oe.forEach(t),pi=g(S),Ye=i(S,"DIV",{class:!0});var Ir=l(Ye);b(eo.$$.fragment,Ir),mi=g(Ir),Fn=i(Ir,"P",{});var ad=l(Fn);di=m(ad,"Instantiate a pretrained model from a pre-trained model configuration."),ad.forEach(t),Ir.forEach(t),ci=g(S),Ke=i(S,"DIV",{class:!0});var Dr=l(Ke);b(to.$$.fragment,Dr),ui=g(Dr),oo=i(Dr,"P",{});var Lr=l(oo);hi=m(Lr,"Loads an ONNX Inference session with a given provider. Default provider is "),Sn=i(Lr,"CODE",{});var id=l(Sn);gi=m(id,"CPUExecutionProvider"),id.forEach(t),fi=m(Lr,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Lr.forEach(t),Dr.forEach(t),_i=g(S),Ze=i(S,"DIV",{class:!0});var Xr=l(Ze);b(no.$$.fragment,Xr),$i=g(Xr),Cn=i(Xr,"P",{});var ld=l(Cn);vi=m(ld,"Changes the ONNX Runtime provider according to the device."),ld.forEach(t),Xr.forEach(t),S.forEach(t),_r=g(o),je=i(o,"H2",{class:!0});var Ur=l(je);et=i(Ur,"A",{id:!0,class:!0,href:!0});var pd=l(et);zn=i(pd,"SPAN",{});var md=l(zn);b(so.$$.fragment,md),md.forEach(t),pd.forEach(t),ki=g(Ur),Pn=i(Ur,"SPAN",{});var dd=l(Pn);xi=m(dd,"ORTModelForCausalLM"),dd.forEach(t),Ur.forEach(t),$r=g(o),ue=i(o,"DIV",{class:!0});var Zo=l(ue);b(ro.$$.fragment,Zo),wi=g(Zo),An=i(Zo,"P",{});var cd=l(An);bi=m(cd,"ONNX model with a causal language modeling head for ONNX Runtime inference."),cd.forEach(t),Ti=g(Zo),V=i(Zo,"DIV",{class:!0});var $e=l(V);b(ao.$$.fragment,$e),Oi=g($e),Re=i($e,"P",{});var en=l(Re);Mi=m(en,"The "),Nn=i(en,"CODE",{});var ud=l(Nn);yi=m(ud,"ORTModelForCausalLM"),ud.forEach(t),qi=m(en," forward method, overrides the "),In=i(en,"CODE",{});var hd=l(In);Ei=m(hd,"__call__"),hd.forEach(t),ji=m(en," special method."),en.forEach(t),Ri=g($e),b(tt.$$.fragment,$e),Fi=g($e),b(ot.$$.fragment,$e),Si=g($e),b(nt.$$.fragment,$e),$e.forEach(t),Zo.forEach(t),vr=g(o),Fe=i(o,"H2",{class:!0});var Qr=l(Fe);st=i(Qr,"A",{id:!0,class:!0,href:!0});var gd=l(st);Dn=i(gd,"SPAN",{});var fd=l(Dn);b(io.$$.fragment,fd),fd.forEach(t),gd.forEach(t),Ci=g(Qr),Ln=i(Qr,"SPAN",{});var _d=l(Ln);zi=m(_d,"ORTModelForCustomTasks"),_d.forEach(t),Qr.forEach(t),kr=g(o),U=i(o,"DIV",{class:!0});var ve=l(U);b(lo.$$.fragment,ve),Pi=g(ve),Xn=i(ve,"P",{});var $d=l(Xn);Ai=m($d,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),$d.forEach(t),Ni=g(ve),po=i(ve,"P",{});var Vr=l(po);Ii=m(Vr,"This model inherits from [~"),Un=i(Vr,"CODE",{});var vd=l(Un);Di=m(vd,"onnxruntime.modeling_ort.ORTModel"),vd.forEach(t),Li=m(Vr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vr.forEach(t),Xi=g(ve),Qn=i(ve,"P",{});var kd=l(Qn);Ui=m(kd,"Model for any custom tasks if the ONNX model is stored in a single file."),kd.forEach(t),Qi=g(ve),W=i(ve,"DIV",{class:!0});var ke=l(W);b(mo.$$.fragment,ke),Vi=g(ke),Se=i(ke,"P",{});var tn=l(Se);Wi=m(tn,"The "),Vn=i(tn,"CODE",{});var xd=l(Vn);Hi=m(xd,"ORTModelForCustomTasks"),xd.forEach(t),Bi=m(tn," forward method, overrides the "),Wn=i(tn,"CODE",{});var wd=l(Wn);Gi=m(wd,"__call__"),wd.forEach(t),Ji=m(tn," special method."),tn.forEach(t),Yi=g(ke),b(rt.$$.fragment,ke),Ki=g(ke),b(at.$$.fragment,ke),Zi=g(ke),b(it.$$.fragment,ke),ke.forEach(t),ve.forEach(t),xr=g(o),Ce=i(o,"H2",{class:!0});var Wr=l(Ce);lt=i(Wr,"A",{id:!0,class:!0,href:!0});var bd=l(lt);Hn=i(bd,"SPAN",{});var Td=l(Hn);b(co.$$.fragment,Td),Td.forEach(t),bd.forEach(t),el=g(Wr),Bn=i(Wr,"SPAN",{});var Od=l(Bn);tl=m(Od,"ORTModelForFeatureExtraction"),Od.forEach(t),Wr.forEach(t),wr=g(o),A=i(o,"DIV",{class:!0});var se=l(A);b(uo.$$.fragment,se),ol=g(se),Gn=i(se,"P",{});var Md=l(Gn);nl=m(Md,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Md.forEach(t),sl=g(se),ho=i(se,"P",{});var Hr=l(ho);rl=m(Hr,"This model inherits from [~"),Jn=i(Hr,"CODE",{});var yd=l(Jn);al=m(yd,"onnxruntime.modeling_ort.ORTModel"),yd.forEach(t),il=m(Hr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Hr.forEach(t),ll=g(se),Yn=i(se,"P",{});var qd=l(Yn);pl=m(qd,"Feature Extraction model for ONNX."),qd.forEach(t),ml=g(se),H=i(se,"DIV",{class:!0});var xe=l(H);b(go.$$.fragment,xe),dl=g(xe),ze=i(xe,"P",{});var on=l(ze);cl=m(on,"The "),Kn=i(on,"CODE",{});var Ed=l(Kn);ul=m(Ed,"ORTModelForFeatureExtraction"),Ed.forEach(t),hl=m(on," forward method, overrides the "),Zn=i(on,"CODE",{});var jd=l(Zn);gl=m(jd,"__call__"),jd.forEach(t),fl=m(on," special method."),on.forEach(t),_l=g(xe),b(pt.$$.fragment,xe),$l=g(xe),b(mt.$$.fragment,xe),vl=g(xe),b(dt.$$.fragment,xe),xe.forEach(t),kl=g(se),ct=i(se,"DIV",{class:!0});var Br=l(ct);b(fo.$$.fragment,Br),xl=g(Br),es=i(Br,"P",{});var Rd=l(es);wl=m(Rd,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Rd.forEach(t),Br.forEach(t),se.forEach(t),br=g(o),Pe=i(o,"H2",{class:!0});var Gr=l(Pe);ut=i(Gr,"A",{id:!0,class:!0,href:!0});var Fd=l(ut);ts=i(Fd,"SPAN",{});var Sd=l(ts);b(_o.$$.fragment,Sd),Sd.forEach(t),Fd.forEach(t),bl=g(Gr),os=i(Gr,"SPAN",{});var Cd=l(os);Tl=m(Cd,"ORTModelForImageClassification"),Cd.forEach(t),Gr.forEach(t),Tr=g(o),N=i(o,"DIV",{class:!0});var re=l(N);b($o.$$.fragment,re),Ol=g(re),ns=i(re,"P",{});var zd=l(ns);Ml=m(zd,"Onnx Model for image-classification tasks."),zd.forEach(t),yl=g(re),vo=i(re,"P",{});var Jr=l(vo);ql=m(Jr,"This model inherits from [~"),ss=i(Jr,"CODE",{});var Pd=l(ss);El=m(Pd,"onnxruntime.modeling_ort.ORTModel"),Pd.forEach(t),jl=m(Jr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Jr.forEach(t),Rl=g(re),rs=i(re,"P",{});var Ad=l(rs);Fl=m(Ad,"Image Classification model for ONNX."),Ad.forEach(t),Sl=g(re),B=i(re,"DIV",{class:!0});var we=l(B);b(ko.$$.fragment,we),Cl=g(we),Ae=i(we,"P",{});var nn=l(Ae);zl=m(nn,"The "),as=i(nn,"CODE",{});var Nd=l(as);Pl=m(Nd,"ORTModelForImageClassification"),Nd.forEach(t),Al=m(nn," forward method, overrides the "),is=i(nn,"CODE",{});var Id=l(is);Nl=m(Id,"__call__"),Id.forEach(t),Il=m(nn," special method."),nn.forEach(t),Dl=g(we),b(ht.$$.fragment,we),Ll=g(we),b(gt.$$.fragment,we),Xl=g(we),b(ft.$$.fragment,we),we.forEach(t),Ul=g(re),_t=i(re,"DIV",{class:!0});var Yr=l(_t);b(xo.$$.fragment,Yr),Ql=g(Yr),ls=i(Yr,"P",{});var Dd=l(ls);Vl=m(Dd,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Dd.forEach(t),Yr.forEach(t),re.forEach(t),Or=g(o),Ne=i(o,"H2",{class:!0});var Kr=l(Ne);$t=i(Kr,"A",{id:!0,class:!0,href:!0});var Ld=l($t);ps=i(Ld,"SPAN",{});var Xd=l(ps);b(wo.$$.fragment,Xd),Xd.forEach(t),Ld.forEach(t),Wl=g(Kr),ms=i(Kr,"SPAN",{});var Ud=l(ms);Hl=m(Ud,"ORTModelForQuestionAnswering"),Ud.forEach(t),Kr.forEach(t),Mr=g(o),I=i(o,"DIV",{class:!0});var ae=l(I);b(bo.$$.fragment,ae),Bl=g(ae),ds=i(ae,"P",{});var Qd=l(ds);Gl=m(Qd,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Qd.forEach(t),Jl=g(ae),To=i(ae,"P",{});var Zr=l(To);Yl=m(Zr,"This model inherits from [~"),cs=i(Zr,"CODE",{});var Vd=l(cs);Kl=m(Vd,"onnxruntime.modeling_ort.ORTModel"),Vd.forEach(t),Zl=m(Zr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Zr.forEach(t),ep=g(ae),us=i(ae,"P",{});var Wd=l(us);tp=m(Wd,"Question Answering model for ONNX."),Wd.forEach(t),op=g(ae),G=i(ae,"DIV",{class:!0});var be=l(G);b(Oo.$$.fragment,be),np=g(be),Ie=i(be,"P",{});var sn=l(Ie);sp=m(sn,"The "),hs=i(sn,"CODE",{});var Hd=l(hs);rp=m(Hd,"ORTModelForQuestionAnswering"),Hd.forEach(t),ap=m(sn," forward method, overrides the "),gs=i(sn,"CODE",{});var Bd=l(gs);ip=m(Bd,"__call__"),Bd.forEach(t),lp=m(sn," special method."),sn.forEach(t),pp=g(be),b(vt.$$.fragment,be),mp=g(be),b(kt.$$.fragment,be),dp=g(be),b(xt.$$.fragment,be),be.forEach(t),cp=g(ae),wt=i(ae,"DIV",{class:!0});var ea=l(wt);b(Mo.$$.fragment,ea),up=g(ea),fs=i(ea,"P",{});var Gd=l(fs);hp=m(Gd,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Gd.forEach(t),ea.forEach(t),ae.forEach(t),yr=g(o),De=i(o,"H2",{class:!0});var ta=l(De);bt=i(ta,"A",{id:!0,class:!0,href:!0});var Jd=l(bt);_s=i(Jd,"SPAN",{});var Yd=l(_s);b(yo.$$.fragment,Yd),Yd.forEach(t),Jd.forEach(t),gp=g(ta),$s=i(ta,"SPAN",{});var Kd=l($s);fp=m(Kd,"ORTModelForSemanticSegmentation"),Kd.forEach(t),ta.forEach(t),qr=g(o),Q=i(o,"DIV",{class:!0});var Te=l(Q);b(qo.$$.fragment,Te),_p=g(Te),vs=i(Te,"P",{});var Zd=l(vs);$p=m(Zd,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Zd.forEach(t),vp=g(Te),Eo=i(Te,"P",{});var oa=l(Eo);kp=m(oa,"This model inherits from [~"),ks=i(oa,"CODE",{});var ec=l(ks);xp=m(ec,"onnxruntime.modeling_ort.ORTModel"),ec.forEach(t),wp=m(oa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),oa.forEach(t),bp=g(Te),xs=i(Te,"P",{});var tc=l(xs);Tp=m(tc,"Semantic Segmentation model for ONNX."),tc.forEach(t),Op=g(Te),J=i(Te,"DIV",{class:!0});var Oe=l(J);b(jo.$$.fragment,Oe),Mp=g(Oe),Le=i(Oe,"P",{});var rn=l(Le);yp=m(rn,"The "),ws=i(rn,"CODE",{});var oc=l(ws);qp=m(oc,"ORTModelForSemanticSegmentation"),oc.forEach(t),Ep=m(rn," forward method, overrides the "),bs=i(rn,"CODE",{});var nc=l(bs);jp=m(nc,"__call__"),nc.forEach(t),Rp=m(rn," special method."),rn.forEach(t),Fp=g(Oe),b(Tt.$$.fragment,Oe),Sp=g(Oe),b(Ot.$$.fragment,Oe),Cp=g(Oe),b(Mt.$$.fragment,Oe),Oe.forEach(t),Te.forEach(t),Er=g(o),Xe=i(o,"H2",{class:!0});var na=l(Xe);yt=i(na,"A",{id:!0,class:!0,href:!0});var sc=l(yt);Ts=i(sc,"SPAN",{});var rc=l(Ts);b(Ro.$$.fragment,rc),rc.forEach(t),sc.forEach(t),zp=g(na),Os=i(na,"SPAN",{});var ac=l(Os);Pp=m(ac,"ORTModelForSeq2SeqLM"),ac.forEach(t),na.forEach(t),jr=g(o),he=i(o,"DIV",{class:!0});var an=l(he);b(Fo.$$.fragment,an),Ap=g(an),Ms=i(an,"P",{});var ic=l(Ms);Np=m(ic,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),ic.forEach(t),Ip=g(an),Y=i(an,"DIV",{class:!0});var Me=l(Y);b(So.$$.fragment,Me),Dp=g(Me),Ue=i(Me,"P",{});var ln=l(Ue);Lp=m(ln,"The "),ys=i(ln,"CODE",{});var lc=l(ys);Xp=m(lc,"ORTModelForSeq2SeqLM"),lc.forEach(t),Up=m(ln," forward method, overrides the "),qs=i(ln,"CODE",{});var pc=l(qs);Qp=m(pc,"__call__"),pc.forEach(t),Vp=m(ln," special method."),ln.forEach(t),Wp=g(Me),b(qt.$$.fragment,Me),Hp=g(Me),b(Et.$$.fragment,Me),Bp=g(Me),b(jt.$$.fragment,Me),Me.forEach(t),an.forEach(t),Rr=g(o),Qe=i(o,"H2",{class:!0});var sa=l(Qe);Rt=i(sa,"A",{id:!0,class:!0,href:!0});var mc=l(Rt);Es=i(mc,"SPAN",{});var dc=l(Es);b(Co.$$.fragment,dc),dc.forEach(t),mc.forEach(t),Gp=g(sa),js=i(sa,"SPAN",{});var cc=l(js);Jp=m(cc,"ORTModelForSequenceClassification"),cc.forEach(t),sa.forEach(t),Fr=g(o),D=i(o,"DIV",{class:!0});var ie=l(D);b(zo.$$.fragment,ie),Yp=g(ie),Rs=i(ie,"P",{});var uc=l(Rs);Kp=m(uc,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),uc.forEach(t),Zp=g(ie),Po=i(ie,"P",{});var ra=l(Po);em=m(ra,"This model inherits from [~"),Fs=i(ra,"CODE",{});var hc=l(Fs);tm=m(hc,"onnxruntime.modeling_ort.ORTModel"),hc.forEach(t),om=m(ra,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ra.forEach(t),nm=g(ie),Ss=i(ie,"P",{});var gc=l(Ss);sm=m(gc,"Sequence Classification model for ONNX."),gc.forEach(t),rm=g(ie),X=i(ie,"DIV",{class:!0});var le=l(X);b(Ao.$$.fragment,le),am=g(le),Ve=i(le,"P",{});var pn=l(Ve);im=m(pn,"The "),Cs=i(pn,"CODE",{});var fc=l(Cs);lm=m(fc,"ORTModelForSequenceClassification"),fc.forEach(t),pm=m(pn," forward method, overrides the "),zs=i(pn,"CODE",{});var _c=l(zs);mm=m(_c,"__call__"),_c.forEach(t),dm=m(pn," special method."),pn.forEach(t),cm=g(le),b(Ft.$$.fragment,le),um=g(le),b(St.$$.fragment,le),hm=g(le),b(Ct.$$.fragment,le),gm=g(le),b(zt.$$.fragment,le),le.forEach(t),fm=g(ie),Pt=i(ie,"DIV",{class:!0});var aa=l(Pt);b(No.$$.fragment,aa),_m=g(aa),Ps=i(aa,"P",{});var $c=l(Ps);$m=m($c,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),$c.forEach(t),aa.forEach(t),ie.forEach(t),Sr=g(o),We=i(o,"H2",{class:!0});var ia=l(We);At=i(ia,"A",{id:!0,class:!0,href:!0});var vc=l(At);As=i(vc,"SPAN",{});var kc=l(As);b(Io.$$.fragment,kc),kc.forEach(t),vc.forEach(t),vm=g(ia),Ns=i(ia,"SPAN",{});var xc=l(Ns);km=m(xc,"ORTModelForSpeechSeq2Seq"),xc.forEach(t),ia.forEach(t),Cr=g(o),ge=i(o,"DIV",{class:!0});var mn=l(ge);b(Do.$$.fragment,mn),xm=g(mn),Is=i(mn,"P",{});var wc=l(Is);wm=m(wc,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),wc.forEach(t),bm=g(mn),K=i(mn,"DIV",{class:!0});var ye=l(K);b(Lo.$$.fragment,ye),Tm=g(ye),He=i(ye,"P",{});var dn=l(He);Om=m(dn,"The "),Ds=i(dn,"CODE",{});var bc=l(Ds);Mm=m(bc,"ORTModelForSpeechSeq2Seq"),bc.forEach(t),ym=m(dn," forward method, overrides the "),Ls=i(dn,"CODE",{});var Tc=l(Ls);qm=m(Tc,"__call__"),Tc.forEach(t),Em=m(dn," special method."),dn.forEach(t),jm=g(ye),b(Nt.$$.fragment,ye),Rm=g(ye),b(It.$$.fragment,ye),Fm=g(ye),b(Dt.$$.fragment,ye),ye.forEach(t),mn.forEach(t),zr=g(o),Be=i(o,"H2",{class:!0});var la=l(Be);Lt=i(la,"A",{id:!0,class:!0,href:!0});var Oc=l(Lt);Xs=i(Oc,"SPAN",{});var Mc=l(Xs);b(Xo.$$.fragment,Mc),Mc.forEach(t),Oc.forEach(t),Sm=g(la),Us=i(la,"SPAN",{});var yc=l(Us);Cm=m(yc,"ORTModelForTokenClassification"),yc.forEach(t),la.forEach(t),Pr=g(o),L=i(o,"DIV",{class:!0});var pe=l(L);b(Uo.$$.fragment,pe),zm=g(pe),Qs=i(pe,"P",{});var qc=l(Qs);Pm=m(qc,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),qc.forEach(t),Am=g(pe),Qo=i(pe,"P",{});var pa=l(Qo);Nm=m(pa,"This model inherits from [~"),Vs=i(pa,"CODE",{});var Ec=l(Vs);Im=m(Ec,"onnxruntime.modeling_ort.ORTModel"),Ec.forEach(t),Dm=m(pa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),pa.forEach(t),Lm=g(pe),Ws=i(pe,"P",{});var jc=l(Ws);Xm=m(jc,"Token Classification model for ONNX."),jc.forEach(t),Um=g(pe),Z=i(pe,"DIV",{class:!0});var qe=l(Z);b(Vo.$$.fragment,qe),Qm=g(qe),Ge=i(qe,"P",{});var cn=l(Ge);Vm=m(cn,"The "),Hs=i(cn,"CODE",{});var Rc=l(Hs);Wm=m(Rc,"ORTModelForTokenClassification"),Rc.forEach(t),Hm=m(cn," forward method, overrides the "),Bs=i(cn,"CODE",{});var Fc=l(Bs);Bm=m(Fc,"__call__"),Fc.forEach(t),Gm=m(cn," special method."),cn.forEach(t),Jm=g(qe),b(Xt.$$.fragment,qe),Ym=g(qe),b(Ut.$$.fragment,qe),Km=g(qe),b(Qt.$$.fragment,qe),qe.forEach(t),Zm=g(pe),Vt=i(pe,"DIV",{class:!0});var ma=l(Vt);b(Wo.$$.fragment,ma),ed=g(ma),Gs=i(ma,"P",{});var Sc=l(Gs);td=m(Sc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Sc.forEach(t),ma.forEach(t),pe.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(_u)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(c,"class","relative group"),q(Je,"id","optimum.onnxruntime.ORTModel"),q(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Je,"href","#optimum.onnxruntime.ORTModel"),q(j,"class","relative group"),q(Kt,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(Kt,"rel","nofollow"),q(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(et,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(et,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(je,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(st,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(st,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(st,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(Fe,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(lt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(lt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ce,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ut,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ut,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Pe,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($t,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q($t,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ne,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(bt,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(bt,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(De,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(yt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(yt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Xe,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Rt,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(Rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Rt,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Qe,"class","relative group"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(At,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(At,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(At,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(We,"class","relative group"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Lt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Lt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Be,"class","relative group"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,v){e(document.head,s),k(o,_,v),k(o,c,v),e(c,u),e(u,f),T(n,f,null),e(c,r),e(c,x),e(x,d),k(o,$,v),k(o,j,v),e(j,Je),e(Je,un),T(Wt,un,null),e(j,da),e(j,hn),e(hn,ca),k(o,fr,v),k(o,F,v),T(Ht,F,null),e(F,ua),e(F,gn),e(gn,ha),e(F,ga),e(F,Bt),e(Bt,fa),e(Bt,fn),e(fn,_a),e(Bt,$a),e(F,va),e(F,_n),e(_n,ka),e(F,xa),e(F,Gt),e(Gt,de),e(de,wa),e(de,$n),e($n,ba),e(de,Ta),e(de,vn),e(vn,Oa),e(de,Ma),e(de,kn),e(kn,ya),e(de,qa),e(Gt,Ea),e(Gt,ce),e(ce,ja),e(ce,xn),e(xn,Ra),e(ce,Fa),e(ce,wn),e(wn,Sa),e(ce,Ca),e(ce,bn),e(bn,za),e(ce,Pa),e(F,Aa),e(F,Tn),e(Tn,Na),e(F,Ia),e(F,ee),e(ee,Jt),e(Jt,Da),e(Jt,On),e(On,La),e(Jt,Xa),e(ee,Ua),e(ee,Yt),e(Yt,Qa),e(Yt,Kt),e(Kt,Va),e(Yt,Wa),e(ee,Ha),e(ee,te),e(te,Ba),e(te,Mn),e(Mn,Ga),e(te,Ja),e(te,yn),e(yn,Ya),e(te,Ka),e(te,qn),e(qn,Za),e(te,ei),e(te,En),e(En,ti),e(te,oi),e(ee,ni),e(ee,Zt),e(Zt,si),e(Zt,jn),e(jn,ri),e(Zt,ai),e(ee,ii),e(ee,Rn),e(Rn,li),e(F,pi),e(F,Ye),T(eo,Ye,null),e(Ye,mi),e(Ye,Fn),e(Fn,di),e(F,ci),e(F,Ke),T(to,Ke,null),e(Ke,ui),e(Ke,oo),e(oo,hi),e(oo,Sn),e(Sn,gi),e(oo,fi),e(F,_i),e(F,Ze),T(no,Ze,null),e(Ze,$i),e(Ze,Cn),e(Cn,vi),k(o,_r,v),k(o,je,v),e(je,et),e(et,zn),T(so,zn,null),e(je,ki),e(je,Pn),e(Pn,xi),k(o,$r,v),k(o,ue,v),T(ro,ue,null),e(ue,wi),e(ue,An),e(An,bi),e(ue,Ti),e(ue,V),T(ao,V,null),e(V,Oi),e(V,Re),e(Re,Mi),e(Re,Nn),e(Nn,yi),e(Re,qi),e(Re,In),e(In,Ei),e(Re,ji),e(V,Ri),T(tt,V,null),e(V,Fi),T(ot,V,null),e(V,Si),T(nt,V,null),k(o,vr,v),k(o,Fe,v),e(Fe,st),e(st,Dn),T(io,Dn,null),e(Fe,Ci),e(Fe,Ln),e(Ln,zi),k(o,kr,v),k(o,U,v),T(lo,U,null),e(U,Pi),e(U,Xn),e(Xn,Ai),e(U,Ni),e(U,po),e(po,Ii),e(po,Un),e(Un,Di),e(po,Li),e(U,Xi),e(U,Qn),e(Qn,Ui),e(U,Qi),e(U,W),T(mo,W,null),e(W,Vi),e(W,Se),e(Se,Wi),e(Se,Vn),e(Vn,Hi),e(Se,Bi),e(Se,Wn),e(Wn,Gi),e(Se,Ji),e(W,Yi),T(rt,W,null),e(W,Ki),T(at,W,null),e(W,Zi),T(it,W,null),k(o,xr,v),k(o,Ce,v),e(Ce,lt),e(lt,Hn),T(co,Hn,null),e(Ce,el),e(Ce,Bn),e(Bn,tl),k(o,wr,v),k(o,A,v),T(uo,A,null),e(A,ol),e(A,Gn),e(Gn,nl),e(A,sl),e(A,ho),e(ho,rl),e(ho,Jn),e(Jn,al),e(ho,il),e(A,ll),e(A,Yn),e(Yn,pl),e(A,ml),e(A,H),T(go,H,null),e(H,dl),e(H,ze),e(ze,cl),e(ze,Kn),e(Kn,ul),e(ze,hl),e(ze,Zn),e(Zn,gl),e(ze,fl),e(H,_l),T(pt,H,null),e(H,$l),T(mt,H,null),e(H,vl),T(dt,H,null),e(A,kl),e(A,ct),T(fo,ct,null),e(ct,xl),e(ct,es),e(es,wl),k(o,br,v),k(o,Pe,v),e(Pe,ut),e(ut,ts),T(_o,ts,null),e(Pe,bl),e(Pe,os),e(os,Tl),k(o,Tr,v),k(o,N,v),T($o,N,null),e(N,Ol),e(N,ns),e(ns,Ml),e(N,yl),e(N,vo),e(vo,ql),e(vo,ss),e(ss,El),e(vo,jl),e(N,Rl),e(N,rs),e(rs,Fl),e(N,Sl),e(N,B),T(ko,B,null),e(B,Cl),e(B,Ae),e(Ae,zl),e(Ae,as),e(as,Pl),e(Ae,Al),e(Ae,is),e(is,Nl),e(Ae,Il),e(B,Dl),T(ht,B,null),e(B,Ll),T(gt,B,null),e(B,Xl),T(ft,B,null),e(N,Ul),e(N,_t),T(xo,_t,null),e(_t,Ql),e(_t,ls),e(ls,Vl),k(o,Or,v),k(o,Ne,v),e(Ne,$t),e($t,ps),T(wo,ps,null),e(Ne,Wl),e(Ne,ms),e(ms,Hl),k(o,Mr,v),k(o,I,v),T(bo,I,null),e(I,Bl),e(I,ds),e(ds,Gl),e(I,Jl),e(I,To),e(To,Yl),e(To,cs),e(cs,Kl),e(To,Zl),e(I,ep),e(I,us),e(us,tp),e(I,op),e(I,G),T(Oo,G,null),e(G,np),e(G,Ie),e(Ie,sp),e(Ie,hs),e(hs,rp),e(Ie,ap),e(Ie,gs),e(gs,ip),e(Ie,lp),e(G,pp),T(vt,G,null),e(G,mp),T(kt,G,null),e(G,dp),T(xt,G,null),e(I,cp),e(I,wt),T(Mo,wt,null),e(wt,up),e(wt,fs),e(fs,hp),k(o,yr,v),k(o,De,v),e(De,bt),e(bt,_s),T(yo,_s,null),e(De,gp),e(De,$s),e($s,fp),k(o,qr,v),k(o,Q,v),T(qo,Q,null),e(Q,_p),e(Q,vs),e(vs,$p),e(Q,vp),e(Q,Eo),e(Eo,kp),e(Eo,ks),e(ks,xp),e(Eo,wp),e(Q,bp),e(Q,xs),e(xs,Tp),e(Q,Op),e(Q,J),T(jo,J,null),e(J,Mp),e(J,Le),e(Le,yp),e(Le,ws),e(ws,qp),e(Le,Ep),e(Le,bs),e(bs,jp),e(Le,Rp),e(J,Fp),T(Tt,J,null),e(J,Sp),T(Ot,J,null),e(J,Cp),T(Mt,J,null),k(o,Er,v),k(o,Xe,v),e(Xe,yt),e(yt,Ts),T(Ro,Ts,null),e(Xe,zp),e(Xe,Os),e(Os,Pp),k(o,jr,v),k(o,he,v),T(Fo,he,null),e(he,Ap),e(he,Ms),e(Ms,Np),e(he,Ip),e(he,Y),T(So,Y,null),e(Y,Dp),e(Y,Ue),e(Ue,Lp),e(Ue,ys),e(ys,Xp),e(Ue,Up),e(Ue,qs),e(qs,Qp),e(Ue,Vp),e(Y,Wp),T(qt,Y,null),e(Y,Hp),T(Et,Y,null),e(Y,Bp),T(jt,Y,null),k(o,Rr,v),k(o,Qe,v),e(Qe,Rt),e(Rt,Es),T(Co,Es,null),e(Qe,Gp),e(Qe,js),e(js,Jp),k(o,Fr,v),k(o,D,v),T(zo,D,null),e(D,Yp),e(D,Rs),e(Rs,Kp),e(D,Zp),e(D,Po),e(Po,em),e(Po,Fs),e(Fs,tm),e(Po,om),e(D,nm),e(D,Ss),e(Ss,sm),e(D,rm),e(D,X),T(Ao,X,null),e(X,am),e(X,Ve),e(Ve,im),e(Ve,Cs),e(Cs,lm),e(Ve,pm),e(Ve,zs),e(zs,mm),e(Ve,dm),e(X,cm),T(Ft,X,null),e(X,um),T(St,X,null),e(X,hm),T(Ct,X,null),e(X,gm),T(zt,X,null),e(D,fm),e(D,Pt),T(No,Pt,null),e(Pt,_m),e(Pt,Ps),e(Ps,$m),k(o,Sr,v),k(o,We,v),e(We,At),e(At,As),T(Io,As,null),e(We,vm),e(We,Ns),e(Ns,km),k(o,Cr,v),k(o,ge,v),T(Do,ge,null),e(ge,xm),e(ge,Is),e(Is,wm),e(ge,bm),e(ge,K),T(Lo,K,null),e(K,Tm),e(K,He),e(He,Om),e(He,Ds),e(Ds,Mm),e(He,ym),e(He,Ls),e(Ls,qm),e(He,Em),e(K,jm),T(Nt,K,null),e(K,Rm),T(It,K,null),e(K,Fm),T(Dt,K,null),k(o,zr,v),k(o,Be,v),e(Be,Lt),e(Lt,Xs),T(Xo,Xs,null),e(Be,Sm),e(Be,Us),e(Us,Cm),k(o,Pr,v),k(o,L,v),T(Uo,L,null),e(L,zm),e(L,Qs),e(Qs,Pm),e(L,Am),e(L,Qo),e(Qo,Nm),e(Qo,Vs),e(Vs,Im),e(Qo,Dm),e(L,Lm),e(L,Ws),e(Ws,Xm),e(L,Um),e(L,Z),T(Vo,Z,null),e(Z,Qm),e(Z,Ge),e(Ge,Vm),e(Ge,Hs),e(Hs,Wm),e(Ge,Hm),e(Ge,Bs),e(Bs,Bm),e(Ge,Gm),e(Z,Jm),T(Xt,Z,null),e(Z,Ym),T(Ut,Z,null),e(Z,Km),T(Qt,Z,null),e(L,Zm),e(L,Vt),T(Wo,Vt,null),e(Vt,ed),e(Vt,Gs),e(Gs,td),Ar=!0},p(o,[v]){const Ho={};v&2&&(Ho.$$scope={dirty:v,ctx:o}),tt.$set(Ho);const Js={};v&2&&(Js.$$scope={dirty:v,ctx:o}),ot.$set(Js);const Ys={};v&2&&(Ys.$$scope={dirty:v,ctx:o}),nt.$set(Ys);const Ks={};v&2&&(Ks.$$scope={dirty:v,ctx:o}),rt.$set(Ks);const Bo={};v&2&&(Bo.$$scope={dirty:v,ctx:o}),at.$set(Bo);const Zs={};v&2&&(Zs.$$scope={dirty:v,ctx:o}),it.$set(Zs);const er={};v&2&&(er.$$scope={dirty:v,ctx:o}),pt.$set(er);const tr={};v&2&&(tr.$$scope={dirty:v,ctx:o}),mt.$set(tr);const S={};v&2&&(S.$$scope={dirty:v,ctx:o}),dt.$set(S);const or={};v&2&&(or.$$scope={dirty:v,ctx:o}),ht.$set(or);const Go={};v&2&&(Go.$$scope={dirty:v,ctx:o}),gt.$set(Go);const nr={};v&2&&(nr.$$scope={dirty:v,ctx:o}),ft.$set(nr);const sr={};v&2&&(sr.$$scope={dirty:v,ctx:o}),vt.$set(sr);const Jo={};v&2&&(Jo.$$scope={dirty:v,ctx:o}),kt.$set(Jo);const fe={};v&2&&(fe.$$scope={dirty:v,ctx:o}),xt.$set(fe);const rr={};v&2&&(rr.$$scope={dirty:v,ctx:o}),Tt.$set(rr);const ar={};v&2&&(ar.$$scope={dirty:v,ctx:o}),Ot.$set(ar);const ir={};v&2&&(ir.$$scope={dirty:v,ctx:o}),Mt.$set(ir);const _e={};v&2&&(_e.$$scope={dirty:v,ctx:o}),qt.$set(_e);const lr={};v&2&&(lr.$$scope={dirty:v,ctx:o}),Et.$set(lr);const pr={};v&2&&(pr.$$scope={dirty:v,ctx:o}),jt.$set(pr);const mr={};v&2&&(mr.$$scope={dirty:v,ctx:o}),Ft.$set(mr);const dr={};v&2&&(dr.$$scope={dirty:v,ctx:o}),St.$set(dr);const oe={};v&2&&(oe.$$scope={dirty:v,ctx:o}),Ct.$set(oe);const Yo={};v&2&&(Yo.$$scope={dirty:v,ctx:o}),zt.$set(Yo);const cr={};v&2&&(cr.$$scope={dirty:v,ctx:o}),Nt.$set(cr);const Ko={};v&2&&(Ko.$$scope={dirty:v,ctx:o}),It.$set(Ko);const ur={};v&2&&(ur.$$scope={dirty:v,ctx:o}),Dt.$set(ur);const ne={};v&2&&(ne.$$scope={dirty:v,ctx:o}),Xt.$set(ne);const hr={};v&2&&(hr.$$scope={dirty:v,ctx:o}),Ut.$set(hr);const gr={};v&2&&(gr.$$scope={dirty:v,ctx:o}),Qt.$set(gr)},i(o){Ar||(O(n.$$.fragment,o),O(Wt.$$.fragment,o),O(Ht.$$.fragment,o),O(eo.$$.fragment,o),O(to.$$.fragment,o),O(no.$$.fragment,o),O(so.$$.fragment,o),O(ro.$$.fragment,o),O(ao.$$.fragment,o),O(tt.$$.fragment,o),O(ot.$$.fragment,o),O(nt.$$.fragment,o),O(io.$$.fragment,o),O(lo.$$.fragment,o),O(mo.$$.fragment,o),O(rt.$$.fragment,o),O(at.$$.fragment,o),O(it.$$.fragment,o),O(co.$$.fragment,o),O(uo.$$.fragment,o),O(go.$$.fragment,o),O(pt.$$.fragment,o),O(mt.$$.fragment,o),O(dt.$$.fragment,o),O(fo.$$.fragment,o),O(_o.$$.fragment,o),O($o.$$.fragment,o),O(ko.$$.fragment,o),O(ht.$$.fragment,o),O(gt.$$.fragment,o),O(ft.$$.fragment,o),O(xo.$$.fragment,o),O(wo.$$.fragment,o),O(bo.$$.fragment,o),O(Oo.$$.fragment,o),O(vt.$$.fragment,o),O(kt.$$.fragment,o),O(xt.$$.fragment,o),O(Mo.$$.fragment,o),O(yo.$$.fragment,o),O(qo.$$.fragment,o),O(jo.$$.fragment,o),O(Tt.$$.fragment,o),O(Ot.$$.fragment,o),O(Mt.$$.fragment,o),O(Ro.$$.fragment,o),O(Fo.$$.fragment,o),O(So.$$.fragment,o),O(qt.$$.fragment,o),O(Et.$$.fragment,o),O(jt.$$.fragment,o),O(Co.$$.fragment,o),O(zo.$$.fragment,o),O(Ao.$$.fragment,o),O(Ft.$$.fragment,o),O(St.$$.fragment,o),O(Ct.$$.fragment,o),O(zt.$$.fragment,o),O(No.$$.fragment,o),O(Io.$$.fragment,o),O(Do.$$.fragment,o),O(Lo.$$.fragment,o),O(Nt.$$.fragment,o),O(It.$$.fragment,o),O(Dt.$$.fragment,o),O(Xo.$$.fragment,o),O(Uo.$$.fragment,o),O(Vo.$$.fragment,o),O(Xt.$$.fragment,o),O(Ut.$$.fragment,o),O(Qt.$$.fragment,o),O(Wo.$$.fragment,o),Ar=!0)},o(o){M(n.$$.fragment,o),M(Wt.$$.fragment,o),M(Ht.$$.fragment,o),M(eo.$$.fragment,o),M(to.$$.fragment,o),M(no.$$.fragment,o),M(so.$$.fragment,o),M(ro.$$.fragment,o),M(ao.$$.fragment,o),M(tt.$$.fragment,o),M(ot.$$.fragment,o),M(nt.$$.fragment,o),M(io.$$.fragment,o),M(lo.$$.fragment,o),M(mo.$$.fragment,o),M(rt.$$.fragment,o),M(at.$$.fragment,o),M(it.$$.fragment,o),M(co.$$.fragment,o),M(uo.$$.fragment,o),M(go.$$.fragment,o),M(pt.$$.fragment,o),M(mt.$$.fragment,o),M(dt.$$.fragment,o),M(fo.$$.fragment,o),M(_o.$$.fragment,o),M($o.$$.fragment,o),M(ko.$$.fragment,o),M(ht.$$.fragment,o),M(gt.$$.fragment,o),M(ft.$$.fragment,o),M(xo.$$.fragment,o),M(wo.$$.fragment,o),M(bo.$$.fragment,o),M(Oo.$$.fragment,o),M(vt.$$.fragment,o),M(kt.$$.fragment,o),M(xt.$$.fragment,o),M(Mo.$$.fragment,o),M(yo.$$.fragment,o),M(qo.$$.fragment,o),M(jo.$$.fragment,o),M(Tt.$$.fragment,o),M(Ot.$$.fragment,o),M(Mt.$$.fragment,o),M(Ro.$$.fragment,o),M(Fo.$$.fragment,o),M(So.$$.fragment,o),M(qt.$$.fragment,o),M(Et.$$.fragment,o),M(jt.$$.fragment,o),M(Co.$$.fragment,o),M(zo.$$.fragment,o),M(Ao.$$.fragment,o),M(Ft.$$.fragment,o),M(St.$$.fragment,o),M(Ct.$$.fragment,o),M(zt.$$.fragment,o),M(No.$$.fragment,o),M(Io.$$.fragment,o),M(Do.$$.fragment,o),M(Lo.$$.fragment,o),M(Nt.$$.fragment,o),M(It.$$.fragment,o),M(Dt.$$.fragment,o),M(Xo.$$.fragment,o),M(Uo.$$.fragment,o),M(Vo.$$.fragment,o),M(Xt.$$.fragment,o),M(Ut.$$.fragment,o),M(Qt.$$.fragment,o),M(Wo.$$.fragment,o),Ar=!1},d(o){t(s),o&&t(_),o&&t(c),y(n),o&&t($),o&&t(j),y(Wt),o&&t(fr),o&&t(F),y(Ht),y(eo),y(to),y(no),o&&t(_r),o&&t(je),y(so),o&&t($r),o&&t(ue),y(ro),y(ao),y(tt),y(ot),y(nt),o&&t(vr),o&&t(Fe),y(io),o&&t(kr),o&&t(U),y(lo),y(mo),y(rt),y(at),y(it),o&&t(xr),o&&t(Ce),y(co),o&&t(wr),o&&t(A),y(uo),y(go),y(pt),y(mt),y(dt),y(fo),o&&t(br),o&&t(Pe),y(_o),o&&t(Tr),o&&t(N),y($o),y(ko),y(ht),y(gt),y(ft),y(xo),o&&t(Or),o&&t(Ne),y(wo),o&&t(Mr),o&&t(I),y(bo),y(Oo),y(vt),y(kt),y(xt),y(Mo),o&&t(yr),o&&t(De),y(yo),o&&t(qr),o&&t(Q),y(qo),y(jo),y(Tt),y(Ot),y(Mt),o&&t(Er),o&&t(Xe),y(Ro),o&&t(jr),o&&t(he),y(Fo),y(So),y(qt),y(Et),y(jt),o&&t(Rr),o&&t(Qe),y(Co),o&&t(Fr),o&&t(D),y(zo),y(Ao),y(Ft),y(St),y(Ct),y(zt),y(No),o&&t(Sr),o&&t(We),y(Io),o&&t(Cr),o&&t(ge),y(Do),y(Lo),y(Nt),y(It),y(Dt),o&&t(zr),o&&t(Be),y(Xo),o&&t(Pr),o&&t(L),y(Uo),y(Vo),y(Xt),y(Ut),y(Qt),y(Wo)}}}const _u={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function $u(E){return Nc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ou extends Cc{constructor(s){super();zc(this,s,$u,fu,Pc,{})}}export{Ou as default,_u as metadata};
