import{S as dt,i as pt,s as gt,e as o,k as s,w as b,t as l,M as ht,c as a,d as n,m,a as i,x as z,h as c,b as u,G as e,g as X,y as x,L as _t,q as v,o as O,B as T,v as ft}from"../../../chunks/vendor-hf-doc-builder.js";import{D as S}from"../../../chunks/Docstring-hf-doc-builder.js";import{I as ut}from"../../../chunks/IconCopyLink-hf-doc-builder.js";function bt(je){let p,ae,g,q,G,E,be,H,ze,ie,h,y,B,N,xe,J,ve,re,r,C,Oe,j,Te,qe,$,F,ye,K,$e,Re,R,k,Qe,Y,we,Pe,Q,L,De,_,Ee,Z,Ne,Ce,ee,Fe,ke,Le,w,I,Ie,U,Ue,te,Ae,We,Me,P,A,Se,ne,Ve,Xe,D,W,Ge,M,He,oe,Be,Je,se;return E=new ut({}),N=new ut({}),C=new S({props:{name:"class optimum.onnxruntime.ORTQuantizer",anchor:"optimum.onnxruntime.ORTQuantizer",parameters:[{name:"onnx_model_path",val:": Path"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L83"}}),F=new S({props:{name:"compute_ranges",anchor:"optimum.onnxruntime.ORTQuantizer.compute_ranges",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L260",returnDescription:`
<p>The dictionary mapping the nodes name to their quantization ranges.</p>
`}}),k=new S({props:{name:"fit",anchor:"optimum.onnxruntime.ORTQuantizer.fit",parameters:[{name:"dataset",val:": Dataset"},{name:"calibration_config",val:": CalibrationConfig"},{name:"onnx_augmented_model_name",val:": typing.Union[str, pathlib.Path] = 'augmented_model.onnx'"},{name:"operators_to_quantize",val:": typing.Optional[typing.List[str]] = None"},{name:"batch_size",val:": int = 1"},{name:"use_external_data_format",val:": bool = False"},{name:"use_gpu",val:": bool = False"},{name:"force_symmetric_range",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.fit.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>) &#x2014;
The dataset to use when performing the calibration step.`,name:"dataset"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.calibration_config",description:`<strong>calibration_config</strong> (<code>~CalibrationConfig</code>) &#x2014;
The configuration containing the parameters related to the calibration step.`,name:"calibration_config"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.onnx_augmented_model_name",description:`<strong>onnx_augmented_model_name</strong> (<code>Union[str, Path]</code>, <em>optional</em>, defaults to <code>&quot;augmented_model.onnx&quot;</code>) &#x2014;
The path used to save the augmented model used to collect the quantization ranges.`,name:"onnx_augmented_model_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.operators_to_quantize",description:`<strong>operators_to_quantize</strong> (<code>Optional[List[NodeType]]</code>, <em>optional</em>) &#x2014;
List of the operators types to quantize.`,name:"operators_to_quantize"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The batch size to use when collecting the quantization ranges values.`,name:"batch_size"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.use_external_data_format",description:`<strong>use_external_data_format</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use external data format to store model which size is &gt;= 2Gb.`,name:"use_external_data_format"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.use_gpu",description:`<strong>use_gpu</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the GPU when collecting the quantization ranges values.`,name:"use_gpu"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.force_symmetric_range",description:`<strong>force_symmetric_range</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to make the quantization ranges symmetric.`,name:"force_symmetric_range"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L156",returnDescription:`
<p>The dictionary mapping the nodes name to their quantization ranges.</p>
`}}),L=new S({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTQuantizer.from_pretrained",parameters:[{name:"model_or_path",val:": typing.Union[ForwardRef('ORTModel'), str, pathlib.Path]"},{name:"file_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.from_pretrained.model_or_path",description:`<strong>model_or_path</strong> (<code>Union[ORTModel, str, Path]</code>) &#x2014;
Can be either:<ul>
<li>A path to a saved exported ONNX Intermediate Representation (IR) model, e.g., \`./my_model_directory/.</li>
<li>Or an <code>ORTModelForXX</code> class, e.g., <code>ORTModelForQuestionAnswering</code>.</li>
</ul>`,name:"model_or_path"},{anchor:"optimum.onnxruntime.ORTQuantizer.from_pretrained.file_name(Optional[str],",description:`<strong>file_name(<code>Optional[str]</code>,</strong> <em>optional</em>) &#x2014;
Overwrites the default model file name from <code>&quot;model.onnx&quot;</code> to <code>file_name</code>.
This allows you to load different model files from the same repository or directory.`,name:"file_name(Optional[str],"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L110",returnDescription:`
<p>An instance of <code>ORTQuantizer</code>.</p>
`}}),I=new S({props:{name:"get_calibration_dataset",anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset",parameters:[{name:"dataset_name",val:": str"},{name:"num_samples",val:": int = 100"},{name:"dataset_config_name",val:": typing.Optional[str] = None"},{name:"dataset_split",val:": typing.Optional[str] = None"},{name:"preprocess_function",val:": typing.Optional[typing.Callable] = None"},{name:"preprocess_batch",val:": bool = True"},{name:"seed",val:": int = 2016"},{name:"use_auth_token",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.dataset_name",description:`<strong>dataset_name</strong> (<code>str</code>) &#x2014;
The dataset repository name on the Hugging Face Hub or path to a local directory containing data files
to load to use for the calibration step.`,name:"dataset_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.num_samples",description:`<strong>num_samples</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
The maximum number of samples composing the calibration dataset.`,name:"num_samples"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.dataset_config_name",description:`<strong>dataset_config_name</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The name of the dataset configuration.`,name:"dataset_config_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.dataset_split",description:`<strong>dataset_split</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Which split of the dataset to use to perform the calibration step.`,name:"dataset_split"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.preprocess_function",description:`<strong>preprocess_function</strong> (<code>Optional[Callable]</code>, <em>optional</em>) &#x2014;
Processing function to apply to each example after loading dataset.`,name:"preprocess_function"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.preprocess_batch",description:`<strong>preprocess_batch</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the <code>preprocess_function</code> should be batched.`,name:"preprocess_batch"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.seed",description:`<strong>seed</strong> (<code>int</code>, <em>optional</em>, defaults to 2016) &#x2014;
The random seed to use when shuffling the calibration dataset.`,name:"seed"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.use_auth_token",description:`<strong>use_auth_token</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the token generated when running <code>transformers-cli login</code> (necessary for some datasets
like ImageNet).`,name:"use_auth_token"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L413",returnDescription:`
<p>The calibration <code>datasets.Dataset</code> to use for the post-training static quantization calibration
step.</p>
`}}),A=new S({props:{name:"partial_fit",anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit",parameters:[{name:"dataset",val:": Dataset"},{name:"calibration_config",val:": CalibrationConfig"},{name:"onnx_augmented_model_name",val:": typing.Union[str, pathlib.Path] = 'augmented_model.onnx'"},{name:"operators_to_quantize",val:": typing.Optional[typing.List[str]] = None"},{name:"batch_size",val:": int = 1"},{name:"use_external_data_format",val:": bool = False"},{name:"use_gpu",val:": bool = False"},{name:"force_symmetric_range",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>) &#x2014;
The dataset to use when performing the calibration step.`,name:"dataset"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.calibration_config",description:`<strong>calibration_config</strong> (<code>CalibrationConfig</code>) &#x2014;
The configuration containing the parameters related to the calibration step.`,name:"calibration_config"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.onnx_augmented_model_name",description:`<strong>onnx_augmented_model_name</strong> (<code>Union[str, Path]</code>, <em>optional</em>, defaults to <code>&quot;augmented_model.onnx&quot;</code>) &#x2014;
The path used to save the augmented model used to collect the quantization ranges.`,name:"onnx_augmented_model_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.operators_to_quantize",description:`<strong>operators_to_quantize</strong> (<code>Optional[List[NodeType]]</code>, <em>optional</em>) &#x2014;
List of the operators types to quantize.`,name:"operators_to_quantize"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The batch size to use when collecting the quantization ranges values.`,name:"batch_size"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.use_external_data_format",description:`<strong>use_external_data_format</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether uto se external data format to store model which size is &gt;= 2Gb.`,name:"use_external_data_format"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.use_gpu",description:`<strong>use_gpu</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the GPU when collecting the quantization ranges values.`,name:"use_gpu"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.force_symmetric_range",description:`<strong>force_symmetric_range</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to make the quantization ranges symmetric.`,name:"force_symmetric_range"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L210"}}),W=new S({props:{name:"quantize",anchor:"optimum.onnxruntime.ORTQuantizer.quantize",parameters:[{name:"quantization_config",val:": QuantizationConfig"},{name:"save_dir",val:": typing.Union[str, pathlib.Path]"},{name:"file_suffix",val:": typing.Optional[str] = 'quantized'"},{name:"calibration_tensors_range",val:": typing.Union[typing.Dict[str, typing.Tuple[float, float]], NoneType] = None"},{name:"use_external_data_format",val:": bool = False"},{name:"preprocessor",val:": typing.Optional[optimum.onnxruntime.preprocessors.quantization.QuantizationPreprocessor] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.quantization_config",description:`<strong>quantization_config</strong> (<code>QuantizationConfig</code>) &#x2014;
The configuration containing the parameters related to quantization.`,name:"quantization_config"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.save_dir",description:`<strong>save_dir</strong> (<code>Union[str, Path]</code>) &#x2014;
The directory where the quantized model should be saved.`,name:"save_dir"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.file_suffix",description:`<strong>file_suffix</strong> (<code>Optional[str]</code>, <em>optional</em>, defaults to <code>&quot;quantized&quot;</code>) &#x2014;
The file_suffix used to save the quantized model.`,name:"file_suffix"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.calibration_tensors_range",description:`<strong>calibration_tensors_range</strong> (<code>Optional[Dict[NodeName, Tuple[float, float]]]</code>, <em>optional</em>) &#x2014;
The dictionary mapping the nodes name to their quantization ranges, used and required only when applying
static quantization.`,name:"calibration_tensors_range"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.use_external_data_format",description:`<strong>use_external_data_format</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use external data format to store model which size is &gt;= 2Gb.`,name:"use_external_data_format"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.preprocessor",description:`<strong>preprocessor</strong> (<code>Optional[QuantizationPreprocessor]</code>, <em>optional</em>) &#x2014;
The preprocessor to use to collect the nodes to include or exclude from quantization.`,name:"preprocessor"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L275",returnDescription:`
<p>The path of the resulting quantized model.</p>
`}}),{c(){p=o("meta"),ae=s(),g=o("h1"),q=o("a"),G=o("span"),b(E.$$.fragment),be=s(),H=o("span"),ze=l("Quantization"),ie=s(),h=o("h2"),y=o("a"),B=o("span"),b(N.$$.fragment),xe=s(),J=o("span"),ve=l("ORTQuantizer"),re=s(),r=o("div"),b(C.$$.fragment),Oe=s(),j=o("p"),Te=l("Handles the ONNX Runtime quantization process for models shared on huggingface.co/models."),qe=s(),$=o("div"),b(F.$$.fragment),ye=s(),K=o("p"),$e=l("Computes the quantization ranges."),Re=s(),R=o("div"),b(k.$$.fragment),Qe=s(),Y=o("p"),we=l("Performs the calibration step and computes the quantization ranges."),Pe=s(),Q=o("div"),b(L.$$.fragment),De=s(),_=o("p"),Ee=l("Instantiates a "),Z=o("code"),Ne=l("ORTQuantizer"),Ce=l(" from a an ONNX model file or an "),ee=o("code"),Fe=l("ORTModel"),ke=l("."),Le=s(),w=o("div"),b(I.$$.fragment),Ie=s(),U=o("p"),Ue=l("Creates the calibration "),te=o("code"),Ae=l("datasets.Dataset"),We=l(" to use for the post-training static quantization calibration step."),Me=s(),P=o("div"),b(A.$$.fragment),Se=s(),ne=o("p"),Ve=l("Performs the calibration step and collects the quantization ranges without computing them."),Xe=s(),D=o("div"),b(W.$$.fragment),Ge=s(),M=o("p"),He=l("Quantizes a model given the optimization specifications defined in "),oe=o("code"),Be=l("quantization_config"),Je=l("."),this.h()},l(t){const f=ht('[data-svelte="svelte-1phssyn"]',document.head);p=a(f,"META",{name:!0,content:!0}),f.forEach(n),ae=m(t),g=a(t,"H1",{class:!0});var me=i(g);q=a(me,"A",{id:!0,class:!0,href:!0});var Ke=i(q);G=a(Ke,"SPAN",{});var Ye=i(G);z(E.$$.fragment,Ye),Ye.forEach(n),Ke.forEach(n),be=m(me),H=a(me,"SPAN",{});var Ze=i(H);ze=c(Ze,"Quantization"),Ze.forEach(n),me.forEach(n),ie=m(t),h=a(t,"H2",{class:!0});var le=i(h);y=a(le,"A",{id:!0,class:!0,href:!0});var et=i(y);B=a(et,"SPAN",{});var tt=i(B);z(N.$$.fragment,tt),tt.forEach(n),et.forEach(n),xe=m(le),J=a(le,"SPAN",{});var nt=i(J);ve=c(nt,"ORTQuantizer"),nt.forEach(n),le.forEach(n),re=m(t),r=a(t,"DIV",{class:!0});var d=i(r);z(C.$$.fragment,d),Oe=m(d),j=a(d,"P",{});var ot=i(j);Te=c(ot,"Handles the ONNX Runtime quantization process for models shared on huggingface.co/models."),ot.forEach(n),qe=m(d),$=a(d,"DIV",{class:!0});var ce=i($);z(F.$$.fragment,ce),ye=m(ce),K=a(ce,"P",{});var at=i(K);$e=c(at,"Computes the quantization ranges."),at.forEach(n),ce.forEach(n),Re=m(d),R=a(d,"DIV",{class:!0});var ue=i(R);z(k.$$.fragment,ue),Qe=m(ue),Y=a(ue,"P",{});var it=i(Y);we=c(it,"Performs the calibration step and computes the quantization ranges."),it.forEach(n),ue.forEach(n),Pe=m(d),Q=a(d,"DIV",{class:!0});var de=i(Q);z(L.$$.fragment,de),De=m(de),_=a(de,"P",{});var V=i(_);Ee=c(V,"Instantiates a "),Z=a(V,"CODE",{});var rt=i(Z);Ne=c(rt,"ORTQuantizer"),rt.forEach(n),Ce=c(V," from a an ONNX model file or an "),ee=a(V,"CODE",{});var st=i(ee);Fe=c(st,"ORTModel"),st.forEach(n),ke=c(V,"."),V.forEach(n),de.forEach(n),Le=m(d),w=a(d,"DIV",{class:!0});var pe=i(w);z(I.$$.fragment,pe),Ie=m(pe),U=a(pe,"P",{});var ge=i(U);Ue=c(ge,"Creates the calibration "),te=a(ge,"CODE",{});var mt=i(te);Ae=c(mt,"datasets.Dataset"),mt.forEach(n),We=c(ge," to use for the post-training static quantization calibration step."),ge.forEach(n),pe.forEach(n),Me=m(d),P=a(d,"DIV",{class:!0});var he=i(P);z(A.$$.fragment,he),Se=m(he),ne=a(he,"P",{});var lt=i(ne);Ve=c(lt,"Performs the calibration step and collects the quantization ranges without computing them."),lt.forEach(n),he.forEach(n),Xe=m(d),D=a(d,"DIV",{class:!0});var _e=i(D);z(W.$$.fragment,_e),Ge=m(_e),M=a(_e,"P",{});var fe=i(M);He=c(fe,"Quantizes a model given the optimization specifications defined in "),oe=a(fe,"CODE",{});var ct=i(oe);Be=c(ct,"quantization_config"),ct.forEach(n),Je=c(fe,"."),fe.forEach(n),_e.forEach(n),d.forEach(n),this.h()},h(){u(p,"name","hf:doc:metadata"),u(p,"content",JSON.stringify(zt)),u(q,"id","quantization"),u(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(q,"href","#quantization"),u(g,"class","relative group"),u(y,"id","optimum.onnxruntime.ORTQuantizer"),u(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(y,"href","#optimum.onnxruntime.ORTQuantizer"),u(h,"class","relative group"),u($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,p),X(t,ae,f),X(t,g,f),e(g,q),e(q,G),x(E,G,null),e(g,be),e(g,H),e(H,ze),X(t,ie,f),X(t,h,f),e(h,y),e(y,B),x(N,B,null),e(h,xe),e(h,J),e(J,ve),X(t,re,f),X(t,r,f),x(C,r,null),e(r,Oe),e(r,j),e(j,Te),e(r,qe),e(r,$),x(F,$,null),e($,ye),e($,K),e(K,$e),e(r,Re),e(r,R),x(k,R,null),e(R,Qe),e(R,Y),e(Y,we),e(r,Pe),e(r,Q),x(L,Q,null),e(Q,De),e(Q,_),e(_,Ee),e(_,Z),e(Z,Ne),e(_,Ce),e(_,ee),e(ee,Fe),e(_,ke),e(r,Le),e(r,w),x(I,w,null),e(w,Ie),e(w,U),e(U,Ue),e(U,te),e(te,Ae),e(U,We),e(r,Me),e(r,P),x(A,P,null),e(P,Se),e(P,ne),e(ne,Ve),e(r,Xe),e(r,D),x(W,D,null),e(D,Ge),e(D,M),e(M,He),e(M,oe),e(oe,Be),e(M,Je),se=!0},p:_t,i(t){se||(v(E.$$.fragment,t),v(N.$$.fragment,t),v(C.$$.fragment,t),v(F.$$.fragment,t),v(k.$$.fragment,t),v(L.$$.fragment,t),v(I.$$.fragment,t),v(A.$$.fragment,t),v(W.$$.fragment,t),se=!0)},o(t){O(E.$$.fragment,t),O(N.$$.fragment,t),O(C.$$.fragment,t),O(F.$$.fragment,t),O(k.$$.fragment,t),O(L.$$.fragment,t),O(I.$$.fragment,t),O(A.$$.fragment,t),O(W.$$.fragment,t),se=!1},d(t){n(p),t&&n(ae),t&&n(g),T(E),t&&n(ie),t&&n(h),T(N),t&&n(re),t&&n(r),T(C),T(F),T(k),T(L),T(I),T(A),T(W)}}}const zt={local:"quantization",sections:[{local:"optimum.onnxruntime.ORTQuantizer",title:"ORTQuantizer"}],title:"Quantization"};function xt(je){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class qt extends dt{constructor(p){super();pt(this,p,xt,bt,gt,{})}}export{qt as default,zt as metadata};
